Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface SimpleIdentifierSource

All Superinterfaces:
  IdentifierSource

All Known Implementing Classes:
  SimpleIdentifierSourceImpl

    public interface SimpleIdentifierSource

extends IdentifierSource

Contract describing source of a simple identifier mapping.

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.source.binder.IdentifierSource
`IdentifierSource.Nature`

Method Summary
`SingularAttributeSource` | `getIdentifierAttributeSource()` Obtain the source descriptor for the identifier attribute.

Methods inherited from interface org.hibernate.metamodel.source.binder.IdentifierSource
`getIdentifierGeneratorDescriptor, getNature`

Method Detail

### getIdentifierAttributeSource

    SingularAttributeSource getIdentifierAttributeSource()

  Obtain the source descriptor for the identifier attribute.

  Returns:
    The identifier attribute source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.